---
kind: pipeline
type: docker
name: default

steps:
- name: Lint
  image: koalaman/shellcheck-alpine:latest
  commands:
  - alias shellcheck="shellcheck -x --exclude=SC2034,SC1091,SC1090,SC2012"
  - shellcheck ./system/.local/bin/*
  - shellcheck ./system/.config/custom/keyleds
  - shellcheck ./system/.config/custom/aliases
  - shellcheck ./system/.config/custom/env
  - shellcheck ./system/.config/polybar/scripts/update-count
  - shellcheck ./system/.config/X11/xinitrc
  - shellcheck ./system/.config/zsh/.zlogout
  - shellcheck ./system/.config/zsh/.zprofile
  - shellcheck ./system/.config/zsh/.zshrc
  - shellcheck ./system/.config/X11/xsetup
  - shellcheck ./install
  - shellcheck ./.install/*.sh
  - shellcheck ./.install/lib/*.sh
...